Class ServerResourceV3
java.lang.Object
org.infinispan.rest.resources.ServerResource
org.infinispan.rest.resources.ServerResourceV3
- All Implemented Interfaces:
ResourceHandler
ServerResourceV3 - REST v3 API for server management operations.
Implements OpenAPI-compliant endpoints following v3 standards:
- Action-based operations use path segments (e.g., /_stop, /_heap-dump)
- Path parameters auto-extracted from path strings
- Consistent with v3 resource-oriented design
- Since:
- 16.1
-
Field Summary
Fields inherited from class ServerResource
invocationHelper -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionprotected CompletionStage<RestResponse> doIgnoreOp(RestRequest request) Return theInvocationshandled by this ResourceHandler.Methods inherited from class ServerResource
config, connectorIpFilterClear, connectorIpFilterList, connectorIpFilterSet, connectorStart, connectorStatus, connectorStop, dataSourceList, dataSourceTest, doIgnoreOp, env, getCacheConfigDefaultAttributes, heapDump, info, listConnections, listConnectors, listIgnored, memory, nodeReport, overviewReport, report, stop, threads
-
Constructor Details
-
ServerResourceV3
-
-
Method Details
-
getInvocations
Description copied from interface:ResourceHandlerReturn theInvocationshandled by this ResourceHandler.- Specified by:
getInvocationsin interfaceResourceHandler- Overrides:
getInvocationsin classServerResource
-
doIgnoreOp
- Overrides:
doIgnoreOpin classServerResource
-